GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType Class Reference

## Public Member Functions
GLSExitCode | getExitCode ()
void | setExitCode (GLSExitCode value)
GLSParcelShop | getParcelShop ()
void | setParcelShop (GLSParcelShop value)

## Protected Attributes
GLSExitCode | exitCode
GLSParcelShop | parcelShop

## Detailed Description

Java class for GetParcelShopByIdResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopByIdResponseType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ExitCode" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSExitCode"/>
            <element name="ParcelShop" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSParcelShop" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 35 of file GetParcelShopByIdResponseType.java.

## Member Function Documentation

## ◆ getExitCode()

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.getExitCode | ( |  | ) |

Gets the value of the exitCode property.

Returns
  possible object is GLSExitCode

Definition at line 50 of file GetParcelShopByIdResponseType.java.

## ◆ getParcelShop()

GLSParcelShop eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.getParcelShop | ( |  | ) |

Gets the value of the parcelShop property.

Returns
  possible object is GLSParcelShop

Definition at line 74 of file GetParcelShopByIdResponseType.java.

## ◆ setExitCode()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.setExitCode | ( | GLSExitCode | value | ) |

Sets the value of the exitCode property.

Parameters

  value | allowed object is GLSExitCode

Definition at line 62 of file GetParcelShopByIdResponseType.java.

## ◆ setParcelShop()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.setParcelShop | ( | GLSParcelShop | value | ) |

Sets the value of the parcelShop property.

Parameters

  value | allowed object is GLSParcelShop

Definition at line 86 of file GetParcelShopByIdResponseType.java.

## Member Data Documentation

## ◆ exitCode

GLSExitCode eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.exitCode
| protected

Definition at line 38 of file GetParcelShopByIdResponseType.java.

## ◆ parcelShop

GLSParcelShop eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdResponseType.parcelShop
| protected

Definition at line 40 of file GetParcelShopByIdResponseType.java.

The documentation for this class was generated from the following file:

- GetParcelShopByIdResponseType.java